org.custommonkey.xmlunit

## Interface DifferenceConstants

All Known Implementing Classes:
  DifferenceEngine

    public interface DifferenceConstants

Constants for describing differences between DOM Nodes.
Examples and more at xmlunit.sourceforge.net

### Field Summary

Fields
`static Difference` `ATTR_NAME_NOT_FOUND` Comparing 2 elements and one has an attribute the other does not
`static int` `ATTR_NAME_NOT_FOUND_ID` Comparing 2 elements and one has an attribute the other does not
`static Difference` `ATTR_SEQUENCE` Comparing 2 attribute lists with the same attributes in different sequence
`static int` `ATTR_SEQUENCE_ID` Comparing 2 attribute lists with the same attributes in different sequence
`static Difference` `ATTR_VALUE` Comparing 2 attributes with the same name but different values
`static Difference` `ATTR_VALUE_EXPLICITLY_SPECIFIED` Comparing an implied attribute value against an explicit value
`static int` `ATTR_VALUE_EXPLICITLY_SPECIFIED_ID` Comparing an implied attribute value against an explicit value
`static int` `ATTR_VALUE_ID` Comparing 2 attributes with the same name but different values
`static Difference` `CDATA_VALUE` Comparing 2 CDATA sections with different values
`static int` `CDATA_VALUE_ID` Comparing 2 CDATA sections with different values
`static Difference` `CHILD_NODE_NOT_FOUND` Comparing 2 nodes and one holds more childnodes than can be matched against child nodes of the other.
`static int` `CHILD_NODE_NOT_FOUND_ID` Comparing 2 nodes and one holds more childnodes than can be matched against child nodes of the other.
`static Difference` `CHILD_NODELIST_LENGTH` Comparing 2 nodes with different numbers of children
`static int` `CHILD_NODELIST_LENGTH_ID` Comparing 2 nodes with different numbers of children
`static Difference` `CHILD_NODELIST_SEQUENCE` Comparing 2 nodes with children whose nodes are in different sequence
`static int` `CHILD_NODELIST_SEQUENCE_ID` Comparing 2 nodes with children whose nodes are in different sequence
`static Difference` `COMMENT_VALUE` Comparing 2 comments with different values
`static int` `COMMENT_VALUE_ID` Comparing 2 comments with different values
`static Difference` `DOCTYPE_NAME` Comparing 2 document types with different names
`static int` `DOCTYPE_NAME_ID` Comparing 2 document types with different names
`static Difference` `DOCTYPE_PUBLIC_ID` Comparing 2 document types with different public identifiers
`static int` `DOCTYPE_PUBLIC_ID_ID` Comparing 2 document types with different public identifiers
`static Difference` `DOCTYPE_SYSTEM_ID` Comparing 2 document types with different system identifiers
`static int` `DOCTYPE_SYSTEM_ID_ID` Comparing 2 document types with different system identifiers
`static Difference` `ELEMENT_NUM_ATTRIBUTES` Comparing 2 elements with different number of attributes
`static int` `ELEMENT_NUM_ATTRIBUTES_ID` Comparing 2 elements with different number of attributes
`static Difference` `ELEMENT_TAG_NAME` Comparing 2 elements with different tag names
`static int` `ELEMENT_TAG_NAME_ID` Comparing 2 elements with different tag names
`static Difference` `HAS_CHILD_NODES` Comparing 2 nodes but only one has any children
`static int` `HAS_CHILD_NODES_ID` Comparing 2 nodes but only one has any children
`static Difference` `HAS_DOCTYPE_DECLARATION` Comparing 2 Documents only one of which has a doctype
`static int` `HAS_DOCTYPE_DECLARATION_ID` Comparing 2 Documents only one of which has a doctype
`static Difference` `NAMESPACE_PREFIX` Comparing 2 nodes with different namespace prefixes
`static int` `NAMESPACE_PREFIX_ID` Comparing 2 nodes with different namespace prefixes
`static Difference` `NAMESPACE_URI` Comparing 2 nodes with different namespace URIs
`static int` `NAMESPACE_URI_ID` Comparing 2 nodes with different namespace URIs
`static Difference` `NO_NAMESPACE_SCHEMA_LOCATION` Comparing 2 nodes with different xsi:noNamespaceSchemaLocation attributes, potentially only one of the two provides such an attribute at all.
`static int` `NO_NAMESPACE_SCHEMA_LOCATION_ID` Comparing 2 nodes with different xsi:noNamespaceSchemaLocation attributes, potentially only one of the two provides such an attribute at all.
`static Difference` `NODE_TYPE` Comparing 2 nodes with different node types
`static int` `NODE_TYPE_ID` Comparing 2 nodes with different node types
`static Difference` `PROCESSING_INSTRUCTION_DATA` Comparing 2 processing instructions with different instructions
`static int` `PROCESSING_INSTRUCTION_DATA_ID` Comparing 2 processing instructions with different instructions
`static Difference` `PROCESSING_INSTRUCTION_TARGET` Comparing 2 processing instructions with different targets
`static int` `PROCESSING_INSTRUCTION_TARGET_ID` Comparing 2 processing instructions with different targets
`static Difference` `SCHEMA_LOCATION` Comparing 2 nodes with different xsi:schemaLocation attributes, potentially only one of the two provides such an attribute at all.
`static int` `SCHEMA_LOCATION_ID` Comparing 2 nodes with different xsi:schemaLocation attributes, potentially only one of the two provides such an attribute at all.
`static Difference` `TEXT_VALUE` Comparing 2 different text values
`static int` `TEXT_VALUE_ID` Comparing 2 different text values

### Field Detail

#### ATTR_VALUE_EXPLICITLY_SPECIFIED_ID

    static final int ATTR_VALUE_EXPLICITLY_SPECIFIED_ID

Comparing an implied attribute value against an explicit value

See Also:
  Constant Field Values

#### ATTR_NAME_NOT_FOUND_ID

    static final int ATTR_NAME_NOT_FOUND_ID

Comparing 2 elements and one has an attribute the other does not

See Also:
  Constant Field Values

#### ATTR_VALUE_ID

    static final int ATTR_VALUE_ID

Comparing 2 attributes with the same name but different values

See Also:
  Constant Field Values

#### ATTR_SEQUENCE_ID

    static final int ATTR_SEQUENCE_ID

Comparing 2 attribute lists with the same attributes in different sequence

See Also:
  Constant Field Values

#### CDATA_VALUE_ID

    static final int CDATA_VALUE_ID

Comparing 2 CDATA sections with different values

See Also:
  Constant Field Values

#### COMMENT_VALUE_ID

    static final int COMMENT_VALUE_ID

Comparing 2 comments with different values

See Also:
  Constant Field Values

#### DOCTYPE_NAME_ID

    static final int DOCTYPE_NAME_ID

Comparing 2 document types with different names

See Also:
  Constant Field Values

#### DOCTYPE_PUBLIC_ID_ID

    static final int DOCTYPE_PUBLIC_ID_ID

Comparing 2 document types with different public identifiers

See Also:
  Constant Field Values

#### DOCTYPE_SYSTEM_ID_ID

    static final int DOCTYPE_SYSTEM_ID_ID

Comparing 2 document types with different system identifiers

See Also:
  Constant Field Values

#### ELEMENT_TAG_NAME_ID

    static final int ELEMENT_TAG_NAME_ID

Comparing 2 elements with different tag names

See Also:
  Constant Field Values

#### ELEMENT_NUM_ATTRIBUTES_ID

    static final int ELEMENT_NUM_ATTRIBUTES_ID

Comparing 2 elements with different number of attributes

See Also:
  Constant Field Values

#### PROCESSING_INSTRUCTION_TARGET_ID

    static final int PROCESSING_INSTRUCTION_TARGET_ID

Comparing 2 processing instructions with different targets

See Also:
  Constant Field Values

#### PROCESSING_INSTRUCTION_DATA_ID

    static final int PROCESSING_INSTRUCTION_DATA_ID

Comparing 2 processing instructions with different instructions

See Also:
  Constant Field Values

#### TEXT_VALUE_ID

    static final int TEXT_VALUE_ID

Comparing 2 different text values

See Also:
  Constant Field Values

#### NAMESPACE_PREFIX_ID

    static final int NAMESPACE_PREFIX_ID

Comparing 2 nodes with different namespace prefixes

See Also:
  Constant Field Values

#### NAMESPACE_URI_ID

    static final int NAMESPACE_URI_ID

Comparing 2 nodes with different namespace URIs

See Also:
  Constant Field Values

#### NODE_TYPE_ID

    static final int NODE_TYPE_ID

Comparing 2 nodes with different node types

See Also:
  Constant Field Values

#### HAS_CHILD_NODES_ID

    static final int HAS_CHILD_NODES_ID

Comparing 2 nodes but only one has any children

See Also:
  Constant Field Values

#### CHILD_NODELIST_LENGTH_ID

    static final int CHILD_NODELIST_LENGTH_ID

Comparing 2 nodes with different numbers of children

See Also:
  Constant Field Values

#### CHILD_NODELIST_SEQUENCE_ID

    static final int CHILD_NODELIST_SEQUENCE_ID

Comparing 2 nodes with children whose nodes are in different sequence

See Also:
  Constant Field Values

#### HAS_DOCTYPE_DECLARATION_ID

    static final int HAS_DOCTYPE_DECLARATION_ID

Comparing 2 Documents only one of which has a doctype

See Also:
  Constant Field Values

#### CHILD_NODE_NOT_FOUND_ID

    static final int CHILD_NODE_NOT_FOUND_ID

Comparing 2 nodes and one holds more childnodes than can be matched against child nodes of the other.

See Also:
  Constant Field Values

#### SCHEMA_LOCATION_ID

    static final int SCHEMA_LOCATION_ID

Comparing 2 nodes with different xsi:schemaLocation attributes, potentially only one of the two provides such an attribute at all.

See Also:
  Constant Field Values

#### NO_NAMESPACE_SCHEMA_LOCATION_ID

    static final int NO_NAMESPACE_SCHEMA_LOCATION_ID

Comparing 2 nodes with different xsi:noNamespaceSchemaLocation attributes, potentially only one of the two provides such an attribute at all.

See Also:
  Constant Field Values

#### ATTR_VALUE_EXPLICITLY_SPECIFIED

    static final Difference ATTR_VALUE_EXPLICITLY_SPECIFIED

Comparing an implied attribute value against an explicit value

#### ATTR_NAME_NOT_FOUND

    static final Difference ATTR_NAME_NOT_FOUND

Comparing 2 elements and one has an attribute the other does not

#### ATTR_VALUE

    static final Difference ATTR_VALUE

Comparing 2 attributes with the same name but different values

#### ATTR_SEQUENCE

    static final Difference ATTR_SEQUENCE

Comparing 2 attribute lists with the same attributes in different sequence

#### CDATA_VALUE

    static final Difference CDATA_VALUE

Comparing 2 CDATA sections with different values

#### COMMENT_VALUE

    static final Difference COMMENT_VALUE

Comparing 2 comments with different values

#### DOCTYPE_NAME

    static final Difference DOCTYPE_NAME

Comparing 2 document types with different names

#### DOCTYPE_PUBLIC_ID

    static final Difference DOCTYPE_PUBLIC_ID

Comparing 2 document types with different public identifiers

#### DOCTYPE_SYSTEM_ID

    static final Difference DOCTYPE_SYSTEM_ID

Comparing 2 document types with different system identifiers

#### ELEMENT_TAG_NAME

    static final Difference ELEMENT_TAG_NAME

Comparing 2 elements with different tag names

#### ELEMENT_NUM_ATTRIBUTES

    static final Difference ELEMENT_NUM_ATTRIBUTES

Comparing 2 elements with different number of attributes

#### PROCESSING_INSTRUCTION_TARGET

    static final Difference PROCESSING_INSTRUCTION_TARGET

Comparing 2 processing instructions with different targets

#### PROCESSING_INSTRUCTION_DATA

    static final Difference PROCESSING_INSTRUCTION_DATA

Comparing 2 processing instructions with different instructions

#### TEXT_VALUE

    static final Difference TEXT_VALUE

Comparing 2 different text values

#### NAMESPACE_PREFIX

    static final Difference NAMESPACE_PREFIX

Comparing 2 nodes with different namespace prefixes

#### NAMESPACE_URI

    static final Difference NAMESPACE_URI

Comparing 2 nodes with different namespace URIs

#### NODE_TYPE

    static final Difference NODE_TYPE

Comparing 2 nodes with different node types

#### HAS_CHILD_NODES

    static final Difference HAS_CHILD_NODES

Comparing 2 nodes but only one has any children

#### CHILD_NODELIST_LENGTH

    static final Difference CHILD_NODELIST_LENGTH

Comparing 2 nodes with different numbers of children

#### CHILD_NODELIST_SEQUENCE

    static final Difference CHILD_NODELIST_SEQUENCE

Comparing 2 nodes with children whose nodes are in different sequence

#### HAS_DOCTYPE_DECLARATION

    static final Difference HAS_DOCTYPE_DECLARATION

Comparing 2 Documents only one of which has a doctype

#### CHILD_NODE_NOT_FOUND

    static final Difference CHILD_NODE_NOT_FOUND

Comparing 2 nodes and one holds more childnodes than can be matched against child nodes of the other.

#### SCHEMA_LOCATION

    static final Difference SCHEMA_LOCATION

Comparing 2 nodes with different xsi:schemaLocation attributes, potentially only one of the two provides such an attribute at all.

#### NO_NAMESPACE_SCHEMA_LOCATION

    static final Difference NO_NAMESPACE_SCHEMA_LOCATION

Comparing 2 nodes with different xsi:noNamespaceSchemaLocation attributes, potentially only one of the two provides such an attribute at all.